# Uses of Enum Class
org.jmol.c.HB

Packages that use HB
Package
Description
org.jmol.c

## Uses of HB in org.jmol.c

Subclasses with type arguments of type HB in org.jmol.c
Modifier and Type
Class
Description
`enum`
`HB`
Enum for hydrogen bonding donor/acceptor type
Methods in org.jmol.c that return HB
Modifier and Type
Method
Description
`static HB`
HB.`getType(Atom atom)`
`static HB`
HB.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HB[]`
HB.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.jmol.c with parameters of type HB
Modifier and Type
Method
Description
`static boolean`
HB.`isPossibleHBond(HB typeA, HB typeB)`